<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" rel="stylesheet">
    <title>Create account</title>
    <link href="signin.css" rel="stylesheet">
</head>
<body class="text-center" style="background-color: #f5f5f5l; padding: 40px 40px">
<form method="post" th:object="${userDto}" action="/auth/register" style="width: 100%; max-width: 330px; padding: 15px; margin: 0 auto;">
    <h2 class="h3 mb-3 font-wight-normal">Register new account</h2>
    <label for="inputName" class="sr-only">Username</label>
    <input id="inputName" class="form-control" th:field="*{userName}" placeholder="Username" required>
    <label for="inputPassword" class="sr-only">Password</label>
    <input id="inputPassword" class="form-control" type="password" th:field="*{password}" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
           title="At least 8 characters containing upper- and lowercase letters and numbers" placeholder="Password" required>
    <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}">
    <button class="btn btn-lg btn-primary btn-block" type="submit">Register</button>
</form>
</body>
</html>
